Loading...
Searching...
No Matches
itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet > Class Template Reference

`#include <itkSingleValuedPointSetToPointSetMetric.h>`

## Detailed Description

template<class TFixedPointSet, class TMovingPointSet>
class itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >

Computes similarity between two point sets.

This Class is templated over the type of the two point-sets. It expects a Transform to be plugged in. This particular class is the base class for a hierarchy of point-set to point-set metrics.

This class computes a value that measures the similarity between the fixed point-set and the transformed moving point-set.

Definition at line 61 of file itkSingleValuedPointSetToPointSetMetric.h.

Inheritance diagram for itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | CoordinateRepresentationType = Superclass::ParametersValueType
using | DerivativeValueType = typename DerivativeType::ValueType
using | FixedImageMaskConstPointer = typename FixedImageMaskType::ConstPointer
using | FixedImageMaskPointer = typename FixedImageMaskType::Pointer
using | FixedImageMaskType = ImageMaskSpatialObject<Self::FixedPointSetDimension>
using | FixedPointSetConstPointer = typename FixedPointSetType::ConstPointer
using | FixedPointSetPixelType = typename FixedPointSetType::PixelType
using | FixedPointSetType = TFixedPointSet
using | InputPointType = typename TransformType::InputPointType
using | MovingImageMaskConstPointer = typename MovingImageMaskType::ConstPointer
using | MovingImageMaskPointer = typename MovingImageMaskType::Pointer
using | MovingImageMaskType = ImageMaskSpatialObject<Self::MovingPointSetDimension>
using | MovingPointSetConstPointer = typename MovingPointSetType::ConstPointer
using | MovingPointSetPixelType = typename MovingPointSetType::PixelType
using | MovingPointSetType = TMovingPointSet
using | NonZeroJacobianIndicesType = typename TransformType::NonZeroJacobianIndicesType
using | OutputPointType = typename TransformType::OutputPointType
using | PointDataIterator = typename FixedPointSetType::PointDataContainer::ConstIterator
using | Pointer = SmartPointer<Self>
using | PointIterator = typename FixedPointSetType::PointsContainer::ConstIterator
using | Self = SingleValuedPointSetToPointSetMetric
using | Superclass = SingleValuedCostFunction
using | TransformJacobianType = typename TransformType::JacobianType
using | TransformParametersType = typename TransformType::ParametersType
using | TransformPointer = typename TransformType::Pointer
using | TransformType

## Public Member Functions

virtual void | BeforeThreadedGetValueAndDerivative (const TransformParametersType &parameters) const
virtual const char * | GetClassName () const
virtual const FixedImageMaskType * | GetFixedImageMask ()
virtual const FixedPointSetType * | GetFixedPointSet ()
virtual const MovingImageMaskType * | GetMovingImageMask ()
virtual const MovingPointSetType * | GetMovingPointSet ()
unsigned int | GetNumberOfParameters () const override
virtual const TransformType * | GetTransform ()
virtual const bool & | GetUseMetricSingleThreaded ()
virtual void | Initialize ()
| ITK_DISALLOW_COPY_AND_MOVE (SingleValuedPointSetToPointSetMetric)
| itkStaticConstMacro (FixedPointSetDimension, unsigned int, TFixedPointSet::PointDimension)
| itkStaticConstMacro (MovingPointSetDimension, unsigned int, TMovingPointSet::PointDimension)
virtual void | SetFixedImageMask (const FixedImageMaskType *_arg)
virtual void | SetFixedPointSet (const FixedPointSetType *_arg)
virtual void | SetMovingImageMask (const MovingImageMaskType *_arg)
virtual void | SetMovingPointSet (const MovingPointSetType *_arg)
virtual void | SetTransform (TransformType *_arg)
void | SetTransformParameters (const ParametersType &parameters) const
virtual void | SetUseMetricSingleThreaded (bool _arg)
virtual void | UseMetricSingleThreadedOff ()
virtual void | UseMetricSingleThreadedOn ()

## Protected Member Functions

void | PrintSelf (std::ostream &os, Indent indent) const override
| SingleValuedPointSetToPointSetMetric ()=default
| ~SingleValuedPointSetToPointSetMetric () override=default

## Protected Attributes

FixedImageMaskConstPointer | m_FixedImageMask { nullptr }
FixedPointSetConstPointer | m_FixedPointSet { nullptr }
MovingImageMaskConstPointer | m_MovingImageMask { nullptr }
MovingPointSetConstPointer | m_MovingPointSet { nullptr }
unsigned int | m_NumberOfPointsCounted { 0 }
TransformPointer | m_Transform { nullptr }
bool | m_UseMetricSingleThreaded { true }

## Member Typedef Documentation

## ConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::ConstPointer = SmartPointer<const Self>

Definition at line 70 of file itkSingleValuedPointSetToPointSetMetric.h.

## CoordinateRepresentationType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::CoordinateRepresentationType = Superclass::ParametersValueType

Type used for representing point components

Definition at line 73 of file itkSingleValuedPointSetToPointSetMetric.h.

## DerivativeValueType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::DerivativeValueType = typename DerivativeType::ValueType

Definition at line 111 of file itkSingleValuedPointSetToPointSetMetric.h.

## FixedImageMaskConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::FixedImageMaskConstPointer = typename FixedImageMaskType::ConstPointer

Definition at line 103 of file itkSingleValuedPointSetToPointSetMetric.h.

## FixedImageMaskPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::FixedImageMaskPointer = typename FixedImageMaskType::Pointer

Definition at line 102 of file itkSingleValuedPointSetToPointSetMetric.h.

## FixedImageMaskType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::FixedImageMaskType = ImageMaskSpatialObject<Self::FixedPointSetDimension>

Definition at line 101 of file itkSingleValuedPointSetToPointSetMetric.h.

## FixedPointSetConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::FixedPointSetConstPointer = typename FixedPointSetType::ConstPointer

Definition at line 81 of file itkSingleValuedPointSetToPointSetMetric.h.

## FixedPointSetPixelType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::FixedPointSetPixelType = typename FixedPointSetType::PixelType

Definition at line 80 of file itkSingleValuedPointSetToPointSetMetric.h.

## FixedPointSetType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::FixedPointSetType = TFixedPointSet

Typedefs.

Definition at line 79 of file itkSingleValuedPointSetToPointSetMetric.h.

## InputPointType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::InputPointType = typename TransformType::InputPointType

Definition at line 96 of file itkSingleValuedPointSetToPointSetMetric.h.

## MovingImageMaskConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::MovingImageMaskConstPointer = typename MovingImageMaskType::ConstPointer

Definition at line 106 of file itkSingleValuedPointSetToPointSetMetric.h.

## MovingImageMaskPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::MovingImageMaskPointer = typename MovingImageMaskType::Pointer

Definition at line 105 of file itkSingleValuedPointSetToPointSetMetric.h.

## MovingImageMaskType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::MovingImageMaskType = ImageMaskSpatialObject<Self::MovingPointSetDimension>

Definition at line 104 of file itkSingleValuedPointSetToPointSetMetric.h.

## MovingPointSetConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::MovingPointSetConstPointer = typename MovingPointSetType::ConstPointer

Definition at line 84 of file itkSingleValuedPointSetToPointSetMetric.h.

## MovingPointSetPixelType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::MovingPointSetPixelType = typename MovingPointSetType::PixelType

Definition at line 83 of file itkSingleValuedPointSetToPointSetMetric.h.

## MovingPointSetType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::MovingPointSetType = TMovingPointSet

Definition at line 82 of file itkSingleValuedPointSetToPointSetMetric.h.

## NonZeroJacobianIndicesType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::NonZeroJacobianIndicesType = typename TransformType::NonZeroJacobianIndicesType

Typedefs for support of sparse Jacobians and compact support of transformations.

Definition at line 115 of file itkSingleValuedPointSetToPointSetMetric.h.

## OutputPointType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::OutputPointType = typename TransformType::OutputPointType

Definition at line 97 of file itkSingleValuedPointSetToPointSetMetric.h.

## PointDataIterator

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::PointDataIterator = typename FixedPointSetType::PointDataContainer::ConstIterator

Definition at line 86 of file itkSingleValuedPointSetToPointSetMetric.h.

## Pointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::Pointer = SmartPointer<Self>

Definition at line 69 of file itkSingleValuedPointSetToPointSetMetric.h.

## PointIterator

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::PointIterator = typename FixedPointSetType::PointsContainer::ConstIterator

Definition at line 85 of file itkSingleValuedPointSetToPointSetMetric.h.

## Self

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::Self = SingleValuedPointSetToPointSetMetric

Standard class typedefs.

Definition at line 67 of file itkSingleValuedPointSetToPointSetMetric.h.

## Superclass

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::Superclass = SingleValuedCostFunction

Definition at line 68 of file itkSingleValuedPointSetToPointSetMetric.h.

## TransformJacobianType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::TransformJacobianType = typename TransformType::JacobianType

Definition at line 99 of file itkSingleValuedPointSetToPointSetMetric.h.

## TransformParametersType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::TransformParametersType = typename TransformType::ParametersType

Definition at line 98 of file itkSingleValuedPointSetToPointSetMetric.h.

## TransformPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::TransformPointer = typename TransformType::Pointer

Definition at line 95 of file itkSingleValuedPointSetToPointSetMetric.h.

## TransformType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::TransformType

Initial value:
AdvancedTransform<CoordinateRepresentationType, Self::FixedPointSetDimension, Self::MovingPointSetDimension>
itk::AdvancedTransform
Transform maps points, vectors and covariant vectors from an input space to an output space.
Definition itkAdvancedTransform.h:84

More typedefs.

Definition at line 93 of file itkSingleValuedPointSetToPointSetMetric.h.

## Constructor & Destructor Documentation

## SingleValuedPointSetToPointSetMetric()

template<class TFixedPointSet, class TMovingPointSet>

itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::SingleValuedPointSetToPointSetMetric | ( |  | ) |

protected default

## ~SingleValuedPointSetToPointSetMetric()

template<class TFixedPointSet, class TMovingPointSet>

itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::~SingleValuedPointSetToPointSetMetric | ( |  | ) |

override protected default

## Member Function Documentation

## BeforeThreadedGetValueAndDerivative()

template<class TFixedPointSet, class TMovingPointSet>

virtual void itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::BeforeThreadedGetValueAndDerivative | ( | const TransformParametersType & | parameters | ) | const

virtual

Contains calls from GetValueAndDerivative that are thread-unsafe.

## GetClassName()

template<class TFixedPointSet, class TMovingPointSet>

virtual const char * itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented in elastix::CorrespondingPointsEuclideanDistanceMetric< TElastix >, elastix::MissingStructurePenalty< TElastix >, elastix::PolydataDummyPenalty< TElastix >, elastix::StatisticalShapePenalty< TElastix >, itk::CorrespondingPointsEuclideanDistancePointMetric< TFixedPointSet, TMovingPointSet >, itk::CorrespondingPointsEuclideanDistancePointMetric< MetricBase< TElastix >::FixedPointSetType, MetricBase< TElastix >::MovingPointSetType >, itk::CorrespondingPointsEuclideanDistancePointMetric< typename MetricBase< TElastix >::FixedPointSetType, typename MetricBase< TElastix >::MovingPointSetType >, itk::MeshPenalty< TFixedPointSet, TMovingPointSet >, itk::MeshPenalty< MetricBase< TElastix >::FixedPointSetType, MetricBase< TElastix >::MovingPointSetType >, itk::MeshPenalty< typename MetricBase< TElastix >::FixedPointSetType, typename MetricBase< TElastix >::MovingPointSetType >, itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >, itk::MissingVolumeMeshPenalty< MetricBase< TElastix >::FixedPointSetType, MetricBase< TElastix >::MovingPointSetType >, itk::MissingVolumeMeshPenalty< typename MetricBase< TElastix >::FixedPointSetType, typename MetricBase< TElastix >::MovingPointSetType >, itk::StatisticalShapePointPenalty< TFixedPointSet, TMovingPointSet >, itk::StatisticalShapePointPenalty< MetricBase< TElastix >::FixedPointSetType, MetricBase< TElastix >::MovingPointSetType >, and itk::StatisticalShapePointPenalty< typename MetricBase< TElastix >::FixedPointSetType, typename MetricBase< TElastix >::MovingPointSetType >.

## GetFixedImageMask()

template<class TFixedPointSet, class TMovingPointSet>

virtual const FixedImageMaskType * itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::GetFixedImageMask | ( |  | ) |

virtual

Get the fixed mask.

## GetFixedPointSet()

template<class TFixedPointSet, class TMovingPointSet>

virtual const FixedPointSetType * itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::GetFixedPointSet | ( |  | ) |

virtual

Get the fixed pointset.

## GetMovingImageMask()

template<class TFixedPointSet, class TMovingPointSet>

virtual const MovingImageMaskType * itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::GetMovingImageMask | ( |  | ) |

virtual

Get the moving mask.

## GetMovingPointSet()

template<class TFixedPointSet, class TMovingPointSet>

virtual const MovingPointSetType * itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::GetMovingPointSet | ( |  | ) |

virtual

Get the moving pointset.

## GetNumberOfParameters()

template<class TFixedPointSet, class TMovingPointSet>

unsigned int itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::GetNumberOfParameters | ( |  | ) | const

inline override

Return the number of parameters required by the transform.

Definition at line 141 of file itkSingleValuedPointSetToPointSetMetric.h.

## GetTransform()

template<class TFixedPointSet, class TMovingPointSet>

virtual const TransformType * itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::GetTransform | ( |  | ) |

virtual

Get a pointer to the Transform.

## GetUseMetricSingleThreaded()

template<class TFixedPointSet, class TMovingPointSet>

virtual const bool & itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::GetUseMetricSingleThreaded | ( |  | ) |

virtual

## Initialize()

template<class TFixedPointSet, class TMovingPointSet>

virtual void itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::Initialize | ( |  | ) |

virtual

Initialize the Metric by making sure that all the components are present and plugged together correctly.

Reimplemented in elastix::CorrespondingPointsEuclideanDistanceMetric< TElastix >, elastix::MissingStructurePenalty< TElastix >, elastix::PolydataDummyPenalty< TElastix >, elastix::StatisticalShapePenalty< TElastix >, itk::MeshPenalty< TFixedPointSet, TMovingPointSet >, itk::MeshPenalty< MetricBase< TElastix >::FixedPointSetType, MetricBase< TElastix >::MovingPointSetType >, itk::MeshPenalty< typename MetricBase< TElastix >::FixedPointSetType, typename MetricBase< TElastix >::MovingPointSetType >, itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >, itk::MissingVolumeMeshPenalty< MetricBase< TElastix >::FixedPointSetType, MetricBase< TElastix >::MovingPointSetType >, itk::MissingVolumeMeshPenalty< typename MetricBase< TElastix >::FixedPointSetType, typename MetricBase< TElastix >::MovingPointSetType >, itk::StatisticalShapePointPenalty< TFixedPointSet, TMovingPointSet >, itk::StatisticalShapePointPenalty< MetricBase< TElastix >::FixedPointSetType, MetricBase< TElastix >::MovingPointSetType >, and itk::StatisticalShapePointPenalty< typename MetricBase< TElastix >::FixedPointSetType, typename MetricBase< TElastix >::MovingPointSetType >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TFixedPointSet, class TMovingPointSet>

itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::ITK_DISALLOW_COPY_AND_MOVE | ( | SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet > |  | ) |

## itkStaticConstMacro() [1/2]

template<class TFixedPointSet, class TMovingPointSet>

itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::itkStaticConstMacro | ( | FixedPointSetDimension | ,
|  | unsigned int | ,
|  | TFixedPointSet::PointDimension | )

Constants for the pointset dimensions.

## itkStaticConstMacro() [2/2]

template<class TFixedPointSet, class TMovingPointSet>

itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::itkStaticConstMacro | ( | MovingPointSetDimension | ,
|  | unsigned int | ,
|  | TMovingPointSet::PointDimension | )

## PrintSelf()

template<class TFixedPointSet, class TMovingPointSet>

void itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

PrintSelf.

## SetFixedImageMask()

template<class TFixedPointSet, class TMovingPointSet>

virtual void itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::SetFixedImageMask | ( | const FixedImageMaskType * | _arg | ) |

virtual

Set the fixed mask.

## SetFixedPointSet()

template<class TFixedPointSet, class TMovingPointSet>

virtual void itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::SetFixedPointSet | ( | const FixedPointSetType * | _arg | ) |

virtual

Connect the fixed pointset.

## SetMovingImageMask()

template<class TFixedPointSet, class TMovingPointSet>

virtual void itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::SetMovingImageMask | ( | const MovingImageMaskType * | _arg | ) |

virtual

Set the moving mask.

## SetMovingPointSet()

template<class TFixedPointSet, class TMovingPointSet>

virtual void itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::SetMovingPointSet | ( | const MovingPointSetType * | _arg | ) |

virtual

Connect the moving pointset.

## SetTransform()

template<class TFixedPointSet, class TMovingPointSet>

virtual void itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::SetTransform | ( | TransformType * | _arg | ) |

virtual

Connect the Transform.

## SetTransformParameters()

template<class TFixedPointSet, class TMovingPointSet>

void itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::SetTransformParameters | ( | const ParametersType & | parameters | ) | const

Set the parameters defining the Transform.

## SetUseMetricSingleThreaded()

template<class TFixedPointSet, class TMovingPointSet>

virtual void itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::SetUseMetricSingleThreaded | ( | bool | _arg | ) |

virtual

Switch the function BeforeThreadedGetValueAndDerivative on or off.

## UseMetricSingleThreadedOff()

template<class TFixedPointSet, class TMovingPointSet>

virtual void itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::UseMetricSingleThreadedOff | ( |  | ) |

virtual

## UseMetricSingleThreadedOn()

template<class TFixedPointSet, class TMovingPointSet>

virtual void itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::UseMetricSingleThreadedOn | ( |  | ) |

virtual

## Field Documentation

## m_FixedImageMask

template<class TFixedPointSet, class TMovingPointSet>

FixedImageMaskConstPointer itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::m_FixedImageMask { nullptr }

protected

Definition at line 185 of file itkSingleValuedPointSetToPointSetMetric.h.

## m_FixedPointSet

template<class TFixedPointSet, class TMovingPointSet>

FixedPointSetConstPointer itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::m_FixedPointSet { nullptr }

protected

Member variables.

Definition at line 183 of file itkSingleValuedPointSetToPointSetMetric.h.

## m_MovingImageMask

template<class TFixedPointSet, class TMovingPointSet>

MovingImageMaskConstPointer itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::m_MovingImageMask { nullptr }

protected

Definition at line 186 of file itkSingleValuedPointSetToPointSetMetric.h.

## m_MovingPointSet

template<class TFixedPointSet, class TMovingPointSet>

MovingPointSetConstPointer itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::m_MovingPointSet { nullptr }

protected

Definition at line 184 of file itkSingleValuedPointSetToPointSetMetric.h.

## m_NumberOfPointsCounted

template<class TFixedPointSet, class TMovingPointSet>

unsigned int itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::m_NumberOfPointsCounted { 0 }

mutable protected

Definition at line 189 of file itkSingleValuedPointSetToPointSetMetric.h.

## m_Transform

template<class TFixedPointSet, class TMovingPointSet>

TransformPointer itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::m_Transform { nullptr }

mutable protected

Definition at line 187 of file itkSingleValuedPointSetToPointSetMetric.h.

## m_UseMetricSingleThreaded

template<class TFixedPointSet, class TMovingPointSet>

bool itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::m_UseMetricSingleThreaded { true }

protected

Variables for multi-threading.

Definition at line 192 of file itkSingleValuedPointSetToPointSetMetric.h.

Generated on 1768596610 for elastix by 1.15.0 |